[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TPen.SetPattern

SetPattern - specifies the pattern for the pen.

## Declaration

Source position: graphics.pp line 677

`public procedure TPen.SetPattern(`
`APattern: TPenPattern`
`);`

## Description

SetPattern is a reintroduced procedure in TPen to use the TPenPattern type. The property in the ancestor class uses the LongWord type.